package com.gic.haoban.manage.api.enums;

/**
 * Created by hua on 2021/8/2.
 */
public enum AlertTypeEnum {
    QYWX_TAG_SYNC(1, "企微标签同步", null),
    QUNFA_MESSAGE(2, "企微群发", null),
    FRIEND_ADD(3, "企微好友添加", null),;
    private Integer type;
    private String name;
    private String dingUrl;

    AlertTypeEnum(Integer type, String name, String dingUrl) {
        this.type = type;
        this.name = name;
        this.dingUrl = dingUrl;
    }

    public String getDingUrl() {
        return dingUrl;
    }

    public void setDingUrl(String dingUrl) {
        this.dingUrl = dingUrl;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static AlertTypeEnum getEnum(int type) {
        AlertTypeEnum[] values = AlertTypeEnum.values();
        for (AlertTypeEnum value : values) {
            if (value.getType() == type) {
                return value;
            }
        }
        return null;
    }
}
